<template>
    <div class="dialog-table-container">
        <el-table
            :element-loading-background="loadingColor"
            v-loading="loading"
            height="65vh"
            align="center"
            :data="tableData"
            class="dialog_table"
            :cell-style="{'text-align': 'center'}"
            :header-cell-style="{'text-align': 'center'}"
        >
            <el-table-column
                type="index"
                label="序号"
                width="50"
            ></el-table-column>
            <el-table-column prop="unitName" label="区县" width="180">
            </el-table-column>
            <el-table-column
                prop="cityNum"
                label="获推广典型经验(条)"
                width="180"
            >
            </el-table-column>
            <el-table-column prop="citySn" label="排位"></el-table-column>
            <el-table-column prop="citySnTrend" label="变化">
                <template v-slot="{row}">
                    <span
                        :class="{
                            'column-item-rotate':
                                row.citySnTrend < 0 ? true : false,
                        }"
                    >
                        <i
                            v-if="row.citySnTrend > 1"
                            :class="`cqlt-icon cqlt-icon-arrow column-trend-icon-1`"
                        ></i>
                        <i
                            v-if="row.citySnTrend < 0"
                            :class="`cqlt-icon cqlt-icon-arrow column-trend-icon-2`"
                        ></i>
                        <span v-if="row.citySnTrend === 0">-</span>
                    </span>
                </template>
            </el-table-column>
        </el-table>
    </div>
</template>

  <script>
import apiList from '@/api/bigScreen/districView.js'
export default {
    props: {
        tableOptions: {
            type: Object,
            default: () => {
                return {}
            },
        },
    },
    data() {
        return {
            loading: false,
            loadingColor: 'rgba(6, 46, 106, 0.4)',
            tableData: [],
        }
    },
    mounted() {
        this.getBroad()
    },
    methods: {
        getBroad() {
            this.loading = true
            let searchDate = sessionStorage.getItem('searchDate')
            searchDate = JSON.parse(searchDate)
            let data = this.qs.stringify({
                type: 1,
                year: searchDate.year,
                quarter: searchDate.quarter,
            })
            apiList.getBroad(data, (res) => {
                if (res && res.value) {
                    this.tableData = res.value
                }
                this.loading = false
            })
        },
    },
}
</script>
<style lang="scss" scoped>
.column-item-rotate{
    display: inline-block;
    transform: rotateX(180deg);
}
.cqlt-icon-arrow{
    font-size: 18px;
}
.column-trend-icon-1 {
    color: #59c06c;
    text-shadow: #59c06c 1px 0 12px;
}
.column-trend-icon-2 {
    color: #fe3b30;
    text-shadow: #fe3b30 1px 0 12px;
}

</style>
<style lang="scss">
@import './table.scss';
</style>
